package com.mortals.xhx.module.hik.face.model;

import java.util.List;

/**
* 分组人脸信息查询对象
*
* @author zxfei
* @date 2023-04-15
*/
public class FaceGroupPersonQuery extends FaceGroupPersonEntity {
    /** 开始 主键ID */
    private Long idStart;

    /** 结束 主键ID */
    private Long idEnd;

    /** 增加 主键ID */
    private Long idIncrement;

    /** 主键ID列表 */
    private List <Long> idList;

    /** 主键ID排除列表 */
    private List <Long> idNotList;

    /** 开始 人脸分组 */
    private Long faceGroupIdStart;

    /** 结束 人脸分组 */
    private Long faceGroupIdEnd;

    /** 增加 人脸分组 */
    private Long faceGroupIdIncrement;

    /** 人脸分组列表 */
    private List <Long> faceGroupIdList;

    /** 人脸分组排除列表 */
    private List <Long> faceGroupIdNotList;

    /** 名称 */
    private List<String> nameList;

    /** 名称排除列表 */
    private List <String> nameNotList;
    /** 人脸唯一标识 */
    private List<String> indexCodeList;

    /** 人脸唯一标识排除列表 */
    private List <String> indexCodeNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FaceGroupPersonQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FaceGroupPersonQuery> andConditionList;

    public FaceGroupPersonQuery(){}

    /**
    * 获取 开始 主键ID
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 人脸分组
    * @return faceGroupIdStart
    */
    public Long getFaceGroupIdStart(){
        return this.faceGroupIdStart;
    }

    /**
    * 设置 开始 人脸分组
    * @param faceGroupIdStart
    */
    public void setFaceGroupIdStart(Long faceGroupIdStart){
        this.faceGroupIdStart = faceGroupIdStart;
    }

    /**
    * 获取 结束 人脸分组
    * @return $faceGroupIdEnd
    */
    public Long getFaceGroupIdEnd(){
        return this.faceGroupIdEnd;
    }

    /**
    * 设置 结束 人脸分组
    * @param faceGroupIdEnd
    */
    public void setFaceGroupIdEnd(Long faceGroupIdEnd){
        this.faceGroupIdEnd = faceGroupIdEnd;
    }

    /**
    * 获取 增加 人脸分组
    * @return faceGroupIdIncrement
    */
    public Long getFaceGroupIdIncrement(){
        return this.faceGroupIdIncrement;
    }

    /**
    * 设置 增加 人脸分组
    * @param faceGroupIdIncrement
    */
    public void setFaceGroupIdIncrement(Long faceGroupIdIncrement){
        this.faceGroupIdIncrement = faceGroupIdIncrement;
    }

    /**
    * 获取 人脸分组
    * @return faceGroupIdList
    */
    public List<Long> getFaceGroupIdList(){
        return this.faceGroupIdList;
    }

    /**
    * 设置 人脸分组
    * @param faceGroupIdList
    */
    public void setFaceGroupIdList(List<Long> faceGroupIdList){
        this.faceGroupIdList = faceGroupIdList;
    }

    /**
    * 获取 人脸分组
    * @return faceGroupIdNotList
    */
    public List<Long> getFaceGroupIdNotList(){
        return this.faceGroupIdNotList;
    }

    /**
    * 设置 人脸分组
    * @param faceGroupIdNotList
    */
    public void setFaceGroupIdNotList(List<Long> faceGroupIdNotList){
        this.faceGroupIdNotList = faceGroupIdNotList;
    }


    /**
    * 获取 名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 名称
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 名称
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 人脸唯一标识
    * @return indexCodeList
    */
    public List<String> getIndexCodeList(){
        return this.indexCodeList;
    }

    /**
    * 设置 人脸唯一标识
    * @param indexCodeList
    */
    public void setIndexCodeList(List<String> indexCodeList){
        this.indexCodeList = indexCodeList;
    }

    /**
    * 获取 人脸唯一标识
    * @return indexCodeNotList
    */
    public List<String> getIndexCodeNotList(){
        return this.indexCodeNotList;
    }

    /**
    * 设置 人脸唯一标识
    * @param indexCodeNotList
    */
    public void setIndexCodeNotList(List<String> indexCodeNotList){
        this.indexCodeNotList = indexCodeNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人ID
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人ID
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人ID
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID
    * @param id
    */
    public FaceGroupPersonQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public FaceGroupPersonQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public FaceGroupPersonQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public FaceGroupPersonQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public FaceGroupPersonQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID
        * @param idNotList
        */
        public FaceGroupPersonQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  人脸分组
    * @param faceGroupId
    */
    public FaceGroupPersonQuery faceGroupId(Long faceGroupId){
	    setFaceGroupId(faceGroupId);
		return this;
    }
	
	 /**
    * 设置 开始 人脸分组
    * @param faceGroupIdStart
    */
    public FaceGroupPersonQuery faceGroupIdStart(Long faceGroupIdStart){
		this.faceGroupIdStart = faceGroupIdStart;
		return this;
    }

    /**
    * 设置 结束 人脸分组
    * @param faceGroupIdEnd
    */
    public FaceGroupPersonQuery faceGroupIdEnd(Long faceGroupIdEnd){
		this.faceGroupIdEnd = faceGroupIdEnd;
		return this;
    }

    /**
    * 设置 增加 人脸分组
    * @param faceGroupIdIncrement
    */
    public FaceGroupPersonQuery faceGroupIdIncrement(Long faceGroupIdIncrement){
		this.faceGroupIdIncrement = faceGroupIdIncrement;
		return this;
    }

    /**
    * 设置 人脸分组
    * @param faceGroupIdList
    */
    public FaceGroupPersonQuery faceGroupIdList(List<Long> faceGroupIdList){
        this.faceGroupIdList = faceGroupIdList;
		return this;
        }

        /**
        * 设置 人脸分组
        * @param faceGroupIdNotList
        */
        public FaceGroupPersonQuery faceGroupIdNotList(List<Long> faceGroupIdNotList){
        this.faceGroupIdNotList = faceGroupIdNotList;
        return this;
        }


	/**
    * 设置 名称
    * @param name
    */
    public FaceGroupPersonQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public FaceGroupPersonQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 人脸唯一标识
    * @param indexCode
    */
    public FaceGroupPersonQuery indexCode(String indexCode){
        setIndexCode(indexCode);
		return this;
    }

    /**
    * 设置 人脸唯一标识
    * @param indexCodeList
    */
    public FaceGroupPersonQuery indexCodeList(List<String> indexCodeList){
        this.indexCodeList = indexCodeList;
		return this;
    }


    /**
    * 设置  创建人ID
    * @param createUserId
    */
    public FaceGroupPersonQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public FaceGroupPersonQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public FaceGroupPersonQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public FaceGroupPersonQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public FaceGroupPersonQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人ID
        * @param createUserIdNotList
        */
        public FaceGroupPersonQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人ID
    * @param updateUserId
    */
    public FaceGroupPersonQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public FaceGroupPersonQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public FaceGroupPersonQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public FaceGroupPersonQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public FaceGroupPersonQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人ID
        * @param updateUserIdNotList
        */
        public FaceGroupPersonQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FaceGroupPersonQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FaceGroupPersonQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FaceGroupPersonQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FaceGroupPersonQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}